Index: doc/Doxyfile
===================================================================
--- doc/Doxyfile	(revision 953)
+++ doc/Doxyfile	(revision 959)
@@ -432,5 +432,5 @@
                          namespaces.dox \
                          ../src/lemon \
-                         ../src/lemon/skeletons \
+                         ../src/lemon/concept \
                          ../src/test/test_tools.h
 
Index: doc/graphs.dox
===================================================================
--- doc/graphs.dox	(revision 921)
+++ doc/graphs.dox	(revision 959)
@@ -10,5 +10,5 @@
 
 Each graph should meet the
-\ref lemon::skeleton::StaticGraph "StaticGraph" concept.
+\ref lemon::concept::StaticGraph "StaticGraph" concept.
 This concept does not
 makes it possible to change the graph (i.e. it is not possible to add
@@ -17,5 +17,5 @@
 
 The graphs meeting the
-\ref lemon::skeleton::ExtendableGraph "ExtendableGraph"
+\ref lemon::concept::ExtendableGraph "ExtendableGraph"
 concept allow node and
 edge addition. You can also "clear" (i.e. erase all edges and nodes)
@@ -23,5 +23,5 @@
 
 In case of graphs meeting the full feature
-\ref lemon::skeleton::ErasableGraph "ErasableGraph"
+\ref lemon::concept::ErasableGraph "ErasableGraph"
 concept
 you can also erase individual edges and node in arbitrary order.
@@ -29,10 +29,10 @@
 The implemented graph structures are the following.
 \li \ref lemon::ListGraph "ListGraph" is the most versatile graph class. It meets
-the \ref lemon::skeleton::ErasableGraph "ErasableGraph" concept
+the \ref lemon::concept::ErasableGraph "ErasableGraph" concept
 and it also have some convenience features.
 \li \ref lemon::SmartGraph "SmartGraph" is a more memory
 efficient version of \ref lemon::ListGraph "ListGraph". The
 price of it is that it only meets the
-\ref lemon::skeleton::ExtendableGraph "ExtendableGraph" concept,
+\ref lemon::concept::ExtendableGraph "ExtendableGraph" concept,
 so you cannot delete individual edges or nodes.
 \li \ref lemon::SymListGraph "SymListGraph" and
@@ -46,5 +46,5 @@
 are shared by the edge pairs. 
 \li \ref lemon::FullGraph "FullGraph"
-implements a full graph. It is a \ref lemon::skeleton::StaticGraph, so you cannot
+implements a full graph. It is a \ref lemon::concept::StaticGraph, so you cannot
 change the number of nodes once it is constructed. It is extremely memory
 efficient: it uses constant amount of memory independently from the number of
Index: doc/groups.dox
===================================================================
--- doc/groups.dox	(revision 947)
+++ doc/groups.dox	(revision 959)
@@ -81,10 +81,11 @@
 
 /**
-@defgroup skeletons Skeletons
-\brief Skeletons (a.k.a. concept checking classes)
+@defgroup concept Concept
+\brief Skeleton classes and concept checking classes
 
-This group describes the data/algorithm skeletons implemented in LEMON in
-order to make it easier to check if a certain template class or
-template function is correctly implemented.
+This group describes the data/algorithm skeletons and concept checking
+classes implemented in LEMON. These classes exist in order to make it
+easier to check if a certain template class or template function is
+correctly implemented.
 */
 
Index: doc/namespaces.dox
===================================================================
--- doc/namespaces.dox	(revision 921)
+++ doc/namespaces.dox	(revision 959)
@@ -9,4 +9,4 @@
   /// \todo Some more detailed description would be nice here.
   ///
-  namespace skeleton {}
+  namespace concept {}
 }
Index: src/lemon/Makefile.am
===================================================================
--- src/lemon/Makefile.am	(revision 946)
+++ src/lemon/Makefile.am	(revision 959)
@@ -37,7 +37,7 @@
 
 noinst_HEADERS =							\
-	skeletons/graph.h						\
-	skeletons/graph_component.h					\
-	skeletons/sym_graph.h                                           \
-	skeletons/maps.h                                                \
-	skeletons/path.h
+	concept/graph.h							\
+	concept/graph_component.h					\
+	concept/sym_graph.h						\
+	concept/maps.h							\
+	concept/path.h
